module Algorithms
    class BooleanAlgebra
        def multiplication_table
<<-TABLE
0.0 = 0
0.1 = 0
1.0 = 0
1.1 = 1
TABLE
        end

        def addition_table
<<-TABLE
0+0 = 0
0+1 = 1
1+0 = 1
1+1 = 1
TABLE
        end
    end
end